﻿namespace anbs_cp.ForNet.Classes;

/// <summary>
/// Допустимые параметры для очистки HTML
/// </summary>
public sealed class SanitizerAllowedHtml
{
    /// <summary>
    /// Допустимые теги
    /// </summary>
    public List<string> AllowedTags { get; set; } = [];

    /// <summary>
    /// Допустимые аттрибуты
    /// </summary>
    public List<string> AllowedAttributes { get; set; } = [];

    /// <summary>
    /// Допустимые параметры css
    /// </summary>
    public List<string> AllowedCssProperties { get; set; } = [];

    /// <summary>
    /// Допустимые классы
    /// </summary>
    public List<string> AllowedClasses { get; set; } = [];

    /// <summary>
    /// Допустимые схемы
    /// </summary>
    public List<string> AllowedSchemes { get; set; } = [];

    /// <summary>
    /// Допустимы ли data-атрибуты
    /// </summary>
    public bool AllowDataAttributes { get; set; } = false;
}